question

newuser-2a80ef11-3d5a-4927-9d65-69c2910115d5 avatar image
newuser-2a80ef11-3d5a-4927-9d65-69c2910115d5 asked ·

Failed to resolve: com.android.support:appcompat-v7:25.4.0

/Users/AS/Downloads/fire-app-builder-master/TVUIComponent/lib/build.gradle

Error:(77, 13) Failed to resolve: com.android.support:appcompat-v7:25.4.0
<a href="install.m2.repo">Install Repository and sync project</a><br><a href="openFile:/Users/AS/Downloads/fire-app-builder-master/TVUIComponent/lib/build.gradle">Show in File</a><br><a href="open.dependency.in.project.structure">Show in Project Structure dialog</a>
fire tvfire app builder
10 |2000 characters needed characters left characters exceeded

Up to 2 attachments (including images) can be used with a maximum of 512.0 KiB each and 1.0 MiB total.

1 Answer

Levon@Amazon avatar image
Levon@Amazon answered ·

Hi there,

Thanks for posting! This is not an Amazon-specific error. Rather it indicates that your build.gradle isn't setup correctly. Without knowing what you were doing, I would guess that you were adding some entries to your Gradle configuration. If so, most likely you need to add those entries to your project build.gradle, not module build.gradle -- thanks!

10 |2000 characters needed characters left characters exceeded

Up to 2 attachments (including images) can be used with a maximum of 512.0 KiB each and 1.0 MiB total.